Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86304 - loadavg ability(max_load attribute) is not supported
Summary: loadavg ability(max_load attribute) is not supported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinetd
Version: 9
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-19 09:29 UTC by SEKINE Tatsuo
Modified: 2014-08-31 23:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-13 17:14:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:160 normal SHIPPED_LIVE : Updated xinetd packages fix a denial-of-service attack and other bugs 2003-05-13 04:00:00 UTC
Red Hat Product Errata RHSA-2003:161 normal SHIPPED_LIVE Important: xinetd security update 2003-05-22 04:00:00 UTC

Description SEKINE Tatsuo 2003-03-19 09:29:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.1) Gecko/20021030 for
VineLinux 0vl6

Description of problem:
Xinetd equip load average-based resource limitation functionality.
But it is disabled by default.

Please add --with-loadavg configure option to the spec.

Version-Release number of selected component (if applicable):
xinetd-2.3.10-4

How reproducible:
Always

Steps to Reproduce:
1. /usr/sbin/xinetd -version
2.
3.
    

Actual Results:  xinetd Version 2.3.10 libwrap

Expected Results:  xinetd Version 2.3.10 libwrap loadavg

Additional info:

Disabling the functionality in configuration file is easy.
If you don't specify "max_load" attribute, the functionality is disabled.

Therefore, in the view of compatibility, 
enabling the functionality is no problem.

Comment 1 SEKINE Tatsuo 2003-03-24 03:18:49 UTC
I change status from RFE to BUG.
Because the man page of xinetd.conf refers the "max_load" capability without
(configure-)limitation, but RedHat's xinetd doesn't support it.


Comment 2 Mark J. Cox 2003-05-13 17:14:02 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-160.html



Note You need to log in before you can comment on or make changes to this bug.